For deals
Types
List of values of the deal types directory
GET https://do.workzeal.com/directory/32
Path Parameters
| Name | Type | Description |
|---|---|---|
| /32* | Int | Directory ID |
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | Bearer XXXXX.XXXXXX.XXXXX |
| Content-Type | String | application/json |
200: OK
401: Unauthorized
{
"status": "success",
"error": "",
"code": null,
"rows": 0,
"pages": 0,
"page": 0,
"value": "[
{
"ID": 1,
"NAME": "Some value"
}
]"
}
{
// Response
}
Columns
| Name | Description |
|---|---|
| ID | ID |
| NAME | Value |
Statuses
Note
Please note: different deal types have their own statuses; keep this in mind when adding or updating a deal. ⚡️ID_TYPE_OF_DEAL indicates the ID of the deal type the status belongs to. The ⚡️IS_FINAL column indicates whether the status is a closing status for the deal; closing statuses are shared by all deal types.
List of values of the deal statuses directory
GET https://do.workzeal.com/directory/31
Path Parameters
| Name | Type | Description |
|---|---|---|
| /31* | Int | Directory ID |
Headers
| Name | Type | Description |
|---|---|---|
| Authorization | String | Bearer XXXXX.XXXXXX.XXXXX |
| Content-Type | String | application/json |
200: OK
401: Unauthorized
{
"status": "success",
"error": "",
"code": null,
"rows": 0,
"pages": 0,
"page": 0,
"value": "[
{
"ID": 1,
"NAME": "Some value",
"ID_TYPE_OF_DEAL" : 1,
"IS_FINAL" : false
}
]"
}
{
// Response
}
Columns
| Name | Description |
|---|---|
| ID | ID |
| NAME | Value |
| ID_TYPE_OF_DEAL | The deal type the status belongs to |
| IS_FINAL | Flag indicating whether the status is a closing status for the deal or not |
Previous